# List all 3D Secure Authentications

Returns a list of 3D Secure Authentications.

## Request

```curl
curl -G https://api.stripe.com/v1/three_d_secure/authentications \
  -u "<<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  -d limit=3
```

### Response

```json
{
  "object": "list",
  "url": "/v1/three_d_secure/authentications",
  "has_more": false,
  "data": [
    {
      "id": "tdsa_1Qqya0JM0r9zBvr4NYvKScn2",
      "object": "three_d_secure.authentication",
      "acquirer_details": {
        "acquirer_bin": "424242",
        "acquirer_merchant_id": "050661454304761",
        "requestor_id": "V0000000001234"
      },
      "amount": 1000,
      "channel": {
        "browser": {
          "accept_header": "Accept:  *.*;",
          "color_depth": 24,
          "ip_address": "1.12.123.255",
          "java_enabled": false,
          "javascript_enabled": true,
          "language": "en-US",
          "screen_height": 756,
          "screen_width": 1528,
          "timezone_offset": 0,
          "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36"
        },
        "type": "browser"
      },
      "currency": "eur",
      "directory_server": "visa",
      "flow_preference": {
        "type": "frictionless"
      },
      "livemode": false,
      "message_category": "payment_authentication",
      "outcome": "attempt_acknowledged",
      "payment_method": "pm_1Qqya0JM0r9zBvr4o2W2J7GU",
      "status": "succeeded"
    }
  ]
}
```

## Parameters

- [`created`](https://docs.stripe.com/api/three-d-secure/authentication/list.md?query=created) (object | integer, optional)
  A filter on the list, based on the object `created` field. The value can be a string with an integer Unix timestamp or a dictionary with a number of different query options.

- `ending_before` (string, optional)
  A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

- `limit` (integer, optional)
  A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

- `starting_after` (string, optional)
  A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

- `status` (enum, optional)
  Only return 3D Secure Authentications for specified status.
Possible enum values:
  - `canceled`
    Indicates that the authentication was canceled.

  - `error`
    Indicates that an error occurred.

  - `failed`
    Indicates that the authentication failed.

  - `requires_challenge`
    Indicates that a challenge is required.

  - `requires_submission`
    Indicates that you need to submit this Authentication.

  - `succeeded`
    Indicates that the authentication was successful.

## Returns

A dictionary with a `data` property that contains an array of up to `limit` 3D Secure Authentications, starting after Authentication `starting_after`. Each entry in the array is a separate 3D Secure Authentication object. If no other Authentications are available, the resulting array is empty.
